package de.ozgcloud.apilib.vorgang;

import java.util.List;

import de.ozgcloud.apilib.file.OzgCloudFile;
import de.ozgcloud.apilib.file.OzgCloudFileGroup;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;
import lombok.ToString;

@Builder
@Getter
@ToString(onlyExplicitlyIncluded = true)
public class OzgCloudEingang {

	@ToString.Include
	@Builder.Default
	private OzgCloudEingangHeader header = OzgCloudEingangHeader.builder().build();
	@Builder.Default
	private OzgCloudAntragsteller antragsteller = OzgCloudAntragsteller.builder().build();
	@ToString.Include
	private OzgCloudZustaendigeStelle zustaendigeStelle;

	private List<OzgCloudFormDataEntry> formDataEntrys;

	@Singular
	private List<OzgCloudFileGroup> attachments;
	@Singular
	private List<OzgCloudFile> representations;
}
